# Gimp.Image.set_file

    @accepts(Gimp.Image, Gio.File)
    @returns(bool)
    def set_file(self, file):
        # Python wrapper for gimp_image_set_file()

Sets the specified XCF image's file.

This procedure sets the specified image's file. This is to set the XCF file associated with your image. In particular, do not use this function to set the imported file in file import plug-ins. This is done by the core process.

self

  The image.

file

  The new image file.

Returns